# readers.ply

The ply reader reads points and vertices from the polygon file format, a common file format for storing three dimensional models. The rply library is included with the PDAL source, so there are no external dependencies.

Note

The ply reader can read ASCII and binary ply files.

Default Embedded Stage

This stage is enabled by default

Streamable Stage

This stage supports streaming operations

## Example

    {
      "pipeline":[
        {
          "type":"readers.ply",
          "filename":"inputfile.ply"
        },
        {
          "type":"writers.text",
          "filename":"outputfile.txt"
        }
      ]
    }

## Options

filename
  ply file to read [Required]
count
  Maximum number of points to read [Optional]